curl --request PUT \
--url https://cloud.memsource.com/web/api2/v2/projectTemplates/{projectTemplateUid} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"templateName": "<string>",
"assignedTo": [
{
"providers": [
{
"type": "<string>",
"id": "<string>"
}
],
"targetLang": "<string>"
}
],
"dynamicTitle": "<string>",
"fileHandover": true,
"name": "<string>",
"note": "<string>",
"projectWorkflowSettings": {
"completeUnassigned": true,
"propagateTranslationsToLowerWfDuringUpdateSource": true
},
"sourceLang": "<string>",
"targetLangs": [
"<string>"
],
"useDynamicTitle": true,
"workFlowSettings": [
{
"assignedTo": [
{
"providers": [
{
"type": "<string>",
"id": "<string>"
}
],
"targetLang": "<string>"
}
]
}
]
}
'import requests
url = "https://cloud.memsource.com/web/api2/v2/projectTemplates/{projectTemplateUid}"
payload = {
"templateName": "<string>",
"assignedTo": [
{
"providers": [
{
"type": "<string>",
"id": "<string>"
}
],
"targetLang": "<string>"
}
],
"dynamicTitle": "<string>",
"fileHandover": True,
"name": "<string>",
"note": "<string>",
"projectWorkflowSettings": {
"completeUnassigned": True,
"propagateTranslationsToLowerWfDuringUpdateSource": True
},
"sourceLang": "<string>",
"targetLangs": ["<string>"],
"useDynamicTitle": True,
"workFlowSettings": [{ "assignedTo": [
{
"providers": [
{
"type": "<string>",
"id": "<string>"
}
],
"targetLang": "<string>"
}
] }]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
templateName: '<string>',
assignedTo: [{providers: [{type: '<string>', id: '<string>'}], targetLang: '<string>'}],
dynamicTitle: '<string>',
fileHandover: true,
name: '<string>',
note: '<string>',
projectWorkflowSettings: {
completeUnassigned: true,
propagateTranslationsToLowerWfDuringUpdateSource: true
},
sourceLang: '<string>',
targetLangs: ['<string>'],
useDynamicTitle: true,
workFlowSettings: [
{
assignedTo: [{providers: [{type: '<string>', id: '<string>'}], targetLang: '<string>'}]
}
]
})
};
fetch('https://cloud.memsource.com/web/api2/v2/projectTemplates/{projectTemplateUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"assignedTo": [
{
"providers": [
{
"type": "<string>",
"id": "<string>",
"uid": "<string>"
}
],
"targetLang": "<string>"
}
],
"businessUnit": {
"id": "<string>",
"name": "<string>",
"uid": "<string>"
},
"client": {
"id": "<string>",
"name": "<string>",
"uid": "<string>"
},
"costCenter": {
"id": "<string>",
"name": "<string>",
"uid": "<string>"
},
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"dateModified": "{ \"epochSeconds\": 1624619701, \"nano\": 0 }",
"dateTimeModified": "2023-11-07T05:31:56Z",
"domain": {
"id": "<string>",
"name": "<string>",
"uid": "<string>"
},
"dynamicTitle": "<string>",
"fileHandoverSettings": {
"fileHandover": true
},
"id": "<string>",
"importSettings": {
"uid": "3HYnHHLkTPJfMxBCDbPXFe"
},
"modifiedBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"name": "<string>",
"note": "<string>",
"notifyProviders": {
"organizationEmailTemplate": {},
"notificationIntervalInMinutes": 720
},
"owner": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"projectWorkflowSettings": {
"completeUnassigned": true,
"propagateTranslationsToLowerWfDuringUpdateSource": true
},
"sourceLang": "<string>",
"subDomain": {
"id": "<string>",
"name": "<string>",
"uid": "<string>"
},
"targetLangs": [
"<string>"
],
"templateName": "<string>",
"uid": "<string>",
"useDynamicTitle": true,
"vendor": {
"id": "<string>",
"name": "<string>",
"uid": "<string>"
},
"workflowSettings": [
{
"assignedTo": [
{
"providers": [
{
"type": "<string>",
"id": "<string>",
"uid": "<string>"
}
],
"targetLang": "<string>"
}
],
"lqaProfile": {
"uid": "3HYnHHLkTPJfMxBCDbPXFe"
},
"notifyProvider": {
"organizationEmailTemplate": {},
"notificationIntervalInMinutes": 720
},
"workflowStep": {
"id": "<string>",
"lqaEnabled": true,
"name": "<string>",
"order": 123,
"uid": "<string>"
}
}
],
"workflowSteps": [
{
"abbr": "<string>",
"id": "<string>",
"lqaEnabled": true,
"name": "<string>",
"order": 123,
"uid": "<string>"
}
]
}Edit project template
Authorizations
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Project template UID
Body
Updated project template data
255only use for projects without workflows; otherwise specify in the workflowSettings object
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
255Default: false
Reference to an object by its unique identifier
Show child attributes
Show child attributes
2554096Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
OK
Per-target-language provider assignments. Null when the template has workflow steps; use workflowSettings instead.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Date and time the template was created
Deprecated - use dateTimeModified field instead
"{ \"epochSeconds\": 1624619701, \"nano\": 0 }"
Date and time the template was last modified
Show child attributes
Show child attributes
Pattern used to generate project names when useDynamicTitle is true
Show child attributes
Show child attributes
Internal numeric identifier, encoded as a string
Reference to an object by its unique identifier
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Name inherited from the source project the template was created from
Note inherited from the source project
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Source language code, inherited from the project the template was created from. Cannot be set when creating a template.
Show child attributes
Show child attributes
Target language codes, inherited from the project the template was created from. Cannot be set when creating a template.
Name of the project template. This is the value supplied as name in the create request.
Unique identifier used in API paths
When true, generated project names use the dynamic title pattern
Show child attributes
Show child attributes
Per-workflow-step provider assignments and settings. Empty when the template has no workflow steps.
Show child attributes
Show child attributes
Workflow steps, inherited from the project the template was created from. Cannot be set when creating a template.
Show child attributes
Show child attributes
Was this page helpful?